import { __extends } from "tslib";
import { IgcCancelEventArgs } from "igniteui-webcomponents-core";
/**
 * Event arguments for the
 * actionExecuting event.
*/
var IgcSpreadsheetActionExecutingEventArgs = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcSpreadsheetActionExecutingEventArgs, _super);
    function IgcSpreadsheetActionExecutingEventArgs() {
        return _super.call(this) || this;
    }
    Object.defineProperty(IgcSpreadsheetActionExecutingEventArgs.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcSpreadsheetActionExecutingEventArgs.prototype, "command", {
        /**
         * Returns the command which will be executed on the
         * Spreadsheet.
        */
        get: function () {
            return this.i.command;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcSpreadsheetActionExecutingEventArgs.prototype, "commandParameter", {
        /**
         * Returns the parameter which will be used when executing the command.
        */
        get: function () {
            return this.i.commandParameter;
        },
        enumerable: false,
        configurable: true
    });
    return IgcSpreadsheetActionExecutingEventArgs;
}(IgcCancelEventArgs));
export { IgcSpreadsheetActionExecutingEventArgs };
